Subject: bug#60587: Patch for adding links to symbols' help documentation

From: Drew Adams <[email-masked]>
Date: Fri, 20 Jan 2023 21:59:27 +0000

Caveat: I'm not following this thread; sorry.

A quick look at your patch shows this:

  The commands @kbd{C-h f} and @kbd{C-h v}, also described above
  +(@xref{Name Help}), in an Info buffer can be replaced by @kbd{Ret} or
  +@kbd{mouse-1} on quoted symbol names.

I think it's wrong to say that `mouse-1' does that.
At least I hope it's wrong, and that you correctly
used the behavior that `mouse-1' only does that if
option `mouse-1-click-follows-link' is non-nil.

I also disagree with calling these "buttons".  I
think that Info calls them "links".  E.g., in
(info)Help-Xref you see this:

  Such a cross reference looks like this:
  *Note Overview of Texinfo: (texinfo)Top.
  (After following this link, type 'l' to
                        ^^^^
  get back to this node.)

And just the name of the above-mentioned option
should make clear that these things are presented
to users as "links", not "buttons".  Its doc says:

  Non-nil means that clicking Mouse-1 on a link
                                           ^^^^
  follows the link.
              ^^^^

The active bit of text is referred to as a "link",
and so is the relation between this source location
and the destination reached.  You click a link to
follow that link to its destination.

Elisp may refer to creating a "button" for this,
but for users we should call them "links", not
"buttons".